hwloc_obj_attr_u Union Reference
Object Structure and Attributes

`#include <hwloc.h>`

## Data Structures

struct | hwloc_bridge_attr_s
struct | hwloc_cache_attr_s
struct | hwloc_group_attr_s
struct | hwloc_numanode_attr_s
struct | hwloc_osdev_attr_s
struct | hwloc_pcidev_attr_s

## Data Fields

struct hwloc_obj_attr_u::hwloc_numanode_attr_s | numanode
struct hwloc_obj_attr_u::hwloc_cache_attr_s | cache
struct hwloc_obj_attr_u::hwloc_group_attr_s | group
struct hwloc_obj_attr_u::hwloc_pcidev_attr_s | pcidev
struct hwloc_obj_attr_u::hwloc_bridge_attr_s | bridge
struct hwloc_obj_attr_u::hwloc_osdev_attr_s | osdev

## Detailed Description

Object type-specific Attributes.

## Field Documentation

## bridge

struct hwloc_obj_attr_u::hwloc_bridge_attr_s hwloc_obj_attr_u::bridge

## cache

struct hwloc_obj_attr_u::hwloc_cache_attr_s hwloc_obj_attr_u::cache

## group

struct hwloc_obj_attr_u::hwloc_group_attr_s hwloc_obj_attr_u::group

## numanode

struct hwloc_obj_attr_u::hwloc_numanode_attr_s hwloc_obj_attr_u::numanode

## osdev

struct hwloc_obj_attr_u::hwloc_osdev_attr_s hwloc_obj_attr_u::osdev

## pcidev

struct hwloc_obj_attr_u::hwloc_pcidev_attr_s hwloc_obj_attr_u::pcidev

The documentation for this union was generated from the following file:

- hwloc.h